Bug 219434 - autofs failed to mount using wildkey and replicated configuration
autofs failed to mount using wildkey and replicated configuration
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: autofs (Show other bugs)
3.8
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-12 20:34 EST by hyunmo kang
Modified: 2007-11-16 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-17 15:04:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description hyunmo kang 2006-12-12 20:34:18 EST
Description of problem:
automount fails to mount using a certain automount map.

Version-Release number of selected component (if applicable):
autofs-4.1.3-186

How reproducible:
always

Steps to Reproduce:
1.
configure automount map as following

#auto.master
/words auto.words

#auto.words
* host1:/a/& host1:/b/& host2:/c/& host2:/d/&

2.
say words are classified into seperate location in an alphabetical order

3.
access "/words/bat" or "/words/dog"

Actual results:
mount fails

Expected results:

Additional info:
i have looked into source code.
when some path on a host is failed to mount, 
any trial to mount different path on the same host is ignored.
that, however, should not happen in my configuration.
on solaris and hp-ux system, i captured nfs packets and they try every location 
until they get successful mount.
Comment 1 Jeffrey Moyer 2007-01-17 15:04:16 EST
Given that this is a deviation from the behaviour under Solaris, this is
certainly a bug.  However, I do not believe this meets the RHEL 3.9 release
criteria.  As such, the issue will not be addressed.  I will open a bugzilla
against RHEL 4 for this issue.

Note You need to log in before you can comment on or make changes to this bug.